{%-
  from 'components/help.html.jinja' import empty_entry, glossary_link, optional_text,
  glossary_link
-%}
{%- from 'components/metadata.html.jinja' import simple_attribute, baustein_referenzen -%}

{% macro relation_referenzen(relationen) %}
  {% if relationen.abgeleitet %}
    <div class="card-header">Ist abgeleitet von</div>
    {{ baustein_referenzen(relationen.abgeleitet) }}
  {% endif %}
  {% if relationen.ersetzt %}
    <div class="card-header">Ersetzt</div>
    {{ baustein_referenzen(relationen.ersetzt) }}
  {% endif %}
  {% if relationen.aequivalent %}
    <div class="card-header">Ist äquivalent zu</div>
    {{ baustein_referenzen(relationen.aequivalent) }}
  {% endif %}
  {% if relationen.verknuepft %}
    <div class="card-header">Ist verknüpft mit</div>
    {{ baustein_referenzen(relationen.verknuepft) }}
  {% endif %}
  {% if relationen.has_no_relation %}
    {{ baustein_referenzen([]) }}
  {% endif %}
{% endmacro %}

{% macro simple_attribute_optional(title, content, link) %}
  {% call simple_attribute(title, link) %}
    {{ optional_text(content) }}
  {% endcall %}
{% endmacro %}

{% macro simple_attribute_multiline(title, content, link) %}
  {% call simple_attribute(title, link) %}
    {% for line in content %}
      {{ line }}<br />
    {% else %}
      {{ empty_entry() }}
    {% endfor %}
  {% endcall %}
{% endmacro %}

{%- macro detail_subhead_top(title, link) -%}
  <h3 class="fs-6 fw-semibold">
    {{ title }}
    {% if link %}
      {{ glossary_link(link, title) }}
    {% endif %}
  </h3>
  <hr class="mt-1 mb-3" />
{% endmacro %}

{%- macro detail_subhead(title, link) -%}
  <h3 class="fs-6 fw-semibold mt-5">
    {{ title }}
    {% if link %}
      {{ glossary_link(link, title) }}
    {% endif %}
  </h3>
  <hr class="mt-1 mb-3" />
{% endmacro %}

{% macro stichwoerter(stichwoerter) %}
  <span>
    {% if stichwoerter %}
      {% for item in stichwoerter %}
        <span>{{ item.value }}</span>
        <span class="text-secondary">({{ item.uri }})</span>
        {% if not loop.last %},{% endif %}
      {% endfor %}
    {% else %}
      {{ empty_entry() }}
    {% endif %}
  </span>
{% endmacro %}

{% macro handlungsgrundlage(bezug) %}
  <ul>
    {% for handlungsgrundlage in bezug %}
      <li>
        {% if handlungsgrundlage.href %}
          <a
            href="{{ handlungsgrundlage.href }}"
            target="_blank"
            aria-label="{{ handlungsgrundlage.label }} (öffnet in neuem Tab)"
            >{{ handlungsgrundlage.label }}
          </a>
          <i class="bi bi-box-arrow-up-right text-primary"></i>
        {% else %}
          <span>{{ handlungsgrundlage.label }}</span>
        {% endif %}
      </li>
    {% endfor %}
  </ul>
  {% if not bezug %}
    {{ empty_entry() }}
  {% endif %}
{% endmacro %}
